# -*- coding: utf-8 -*-
from __future__ import annotations

import uuid

from celery import shared_task
from django import db


@shared_task
def process_save(*, pk: uuid.UUID):
    from hotpocket_backend.apps.saves.services import SaveProcessorService

    with db.transaction.atomic():
        return SaveProcessorService().process(pk=pk)
